# $Revision: 1.17 $, $Date: 2010/08/21 19:08:07 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	MDB2_Driver_querysim
Summary:	%{_pearname} - querysim MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik querysim dla MDB2
Name:		php-pear-%{_pearname}
Version:	0.6.0
Release:	2
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e4f515fcff4e8ea111cd995ade51135a
URL:		http://pear.php.net/package/MDB2_Driver_querysim/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.3.0
BuildArch:	noarch
Requires:	php-pear-MDB2 >= 2.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Querysim MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik Querysim dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/querysim_readme.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/querysim.php
%{php_pear_dir}/MDB2/Driver/Datatype/querysim.php

%{php_pear_dir}/data/%{_pearname}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB2_Driver_querysim.spec,v $
Revision 1.17  2010/08/21 19:08:07  glen
- updated deps with pearize.sh
- release 2

Revision 1.16  2010/08/19 19:39:30  glen
- up to 0.6.0

Revision 1.15  2008/01/31 12:16:08  glen
- rel 2

Revision 1.14  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.12  2006/09/02 17:30:38  adamg
- updated to 0.5.0

Revision 1.11  2006/08/06 12:19:04  adamg
- updated to 0.4.0

Revision 1.10  2006/06/21 23:27:38  adamg
- updated to 0.3.0

Revision 1.9  2006/06/11 13:25:33  glen
- 0.2.3

Revision 1.8  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.7  2006/04/24 10:45:33  adamg
- updated to 0.2.2

Revision 1.6  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.5  2006/04/02 11:22:16  glen
- 0.2.1 beta (added tests package)

Revision 1.4  2006/03/29 22:21:05  glen
- rel 2 (rebuild with less deps)

Revision 1.3  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.2  2005/12/14 22:24:17  adamg
- fix MDB2 version in R: (thanks glen)

Revision 1.1  2005/12/14 21:53:54  adamg
- new (drivers for MDB2 that are now released as separate packages)
